### Name: SI.cgi
### Title: Center of Gravity and Inertia
### Aliases: SI.cgi
### Keywords: models

### ** Examples

# Load data
rg.load(filename="Demo.hake.bob.db.data",objname="db.data")
rg.load(filename="Demo.hake.bob.poly.data",objname="poly.data")
projec.define(projection="mean",db=db.data)

# The next lines produce a display of Coast Line and Samples
plot(db.data,title="Center of gravity and inertia",
     asp=1,xlim=c(-300,150),ylim=c(-200,150),inches=5)
plot(poly.data,col=8,add=TRUE)

# The next line calculate end display the inertia
si  = SI.cgi(db.data,flag.plot=TRUE,flag.inertia=TRUE,col=2)
res = projec.invert(si$center[1],si$center[2])
cat("Gravity center =",res$x,res$y,"\n")

# Plot the center of gravity, the inertia and the isotropy of the samples
plot(db.add(db.data,S=1),add=TRUE,col=1,inches=5,pch="+")
SI.cgi(db.add(db.data,S=A0>=0),flag.plot=TRUE,flag.inertia=TRUE,col=1)

rm(db.data,poly.data,res,si)



